\documentclass[12pt]{extarticle}
\usepackage[fleqn]{amsmath}
\usepackage{amsfonts,amssymb,amsmath}
\usepackage[margin=1cm,portrait,a4paper]{geometry}%
\newcommand{\tU}{\tilde U}
\newcommand{\ttV}{\hat V}
\newcommand{\ttH}{\hat H}
\newcommand{\prt}[2]{\frac{\partial{#1}}{\partial{#2}}}
\begin{document}


\begin{equation}\label{U_explicit}
 U_\gamma(z_r,z_s,\lambda)=
 \begin{cases}
              &A_{r,s}^\gamma\left(p_r^\gamma e^{2\eta_rd_r}e^{-\eta_rz_r}+e^{\eta_r z_r}\right)\left(e^{-\eta_sz_s}+q_s^\gamma e^{-2\eta_sd_{s+1}}e^{\eta_s z_s}\right)\\
	&\hspace{6.cm}\text{for}\quad z_r\le z_s;\\
		&A_{s,r}^\gamma\left(p_s^\gamma e^{2\eta_sd_s}e^{-\eta_sz_s}+e^{\eta_s z_s}\right)\left(e^{-\eta_rz_r}+q_r^\gamma e^{-2\eta_rd_{r+1}}e^{\eta_r z_r}\right)\\
		&\hspace{6.cm}\text{for}\quad z_r>z_s,              
 \end{cases}
\end{equation}

For $z_i<z_s$, $z_i \le z\le z_{i+1}$

\begin{equation}
	V(z)=\frac{U(z,z_s)}{U(z_{i+1},z_s)}=\frac{p_r^\gamma e^{2\eta_rd_r}e^{-\eta_r z}+e^{\eta_r z}}{p_r^\gamma e^{2\eta_rd_r}e^{-\eta_rz_{i+1}}+e^{\eta_r z_{i+1}}}=\frac{e^{-\eta_r(z_{i+1}-z)}+p_r^\gamma e^{-\eta_r(z+z_{i+1}-2d_r)}}{1+p_r^\gamma e^{-2\eta_r (z_{i+1}-d_r)}}
\end{equation}
\begin{equation}
	\begin{aligned}
		V(z_i)&=\frac{1+p_r^\gamma e^{-2\eta_r(z_i-d_r)}}{1+p_r^\gamma e^{-2\eta_r (z_{i}-d_r)}e^{-2\eta_r h_i}}e^{-\eta_r h_i}\\
		V(z_{i+1})&=1\\
		V'(z_i)&=\eta_r\frac{1-p_r^\gamma e^{-2\eta_r(z_i-d_r)}}{1+p_r^\gamma e^{-2\eta_r (z_{i}-d_r)}e^{-2\eta_r h_i}}e^{-\eta_r h_i}\\
		V'(z_{i+1})&=\eta_r\frac{1-p_r^\gamma e^{-2\eta_r(z_i-d_r)}e^{-2\eta_r h_i}}{1+p_r^\gamma e^{-2\eta_r (z_{i}-d_r)}e^{-2\eta_r h_i}}\\
	\end{aligned}
\end{equation}
\begin{equation}
	\begin{aligned}
		V''&-\eta^2V=0, z_i \le z \le z_{i+1}\\
		\ttV(x)&=V\left(z_i+h_i\frac{x+1}{2}\right)\\
		\varkappa&=\eta_r\frac{h_i}{2}\\
		\ttV''&-\varkappa^2\ttV=0, -1 \le x \le 1\\
		\ttV(-1)&=V(z_i)~ ~ ~\ttV(1)=V(z_{i+1})\\
		\ttV'(-1)&=\frac{h_i}{2}V'(z_i)~ ~ ~\ttV'(1)=\frac{h_i}{2}V'(z_{i+1})
	\end{aligned}
\end{equation}

\begin{equation}
	\begin{aligned}
		\ttH_n=\int\limits_{-1}^{+1}\ttV(x)P_n(x)dx\\
		\ttH_n'=\int\limits_{-1}^{+1}\ttV'(x)P_n(x)dx\\
	\end{aligned}
\end{equation}

\begin{equation}
\begin{aligned}
	\ttH_{n}^*=\Psi_n(\varkappa)\ttH_{n-2}^*\\
	\text{For $\ttH^{*}_{0,1}$ see leg.pdf}
\end{aligned}
\end{equation}

\begin{equation}
	\begin{aligned}
		\int\limits_{z_i}^{z_{i+1}}V(z)\tilde P_0(z)dz&=\frac{V'(z_{i+1})-V'(z_i)}{\eta^2}\\
		\int\limits_{z_i}^{z_{i+1}}V(z)\tilde P_1(z)dz&=\frac{V'(z_{i+1})+V'(z_i)}{\eta^2}-\frac{2}{h}\frac{V(z_{i+1})-V(z_{i})}{\eta^2}\\
		\int\limits_{z_i}^{z_{i+1}}V(z)\tilde P_n(z)dz&=\Psi_n^i\int\limits_{z_i}^{z_{i+1}}V(z)\tilde P_{n-2}(z)dz&\\
		\Psi^i_n&=\left. \Psi_n\right|_{\varkappa=\eta_i\frac{h_i}{2}}
	\end{aligned}
\end{equation}


For $z_s > z_i$, $z_i \le z\le z_{i+1}$

\begin{equation}
	V(z)=\frac{U(z,z_s)}{U(z_{i},z_s)}=\frac{e^{-\eta_rz}+qe^{-2\eta_r d_{r+1}e^{\eta_r z}}}{e^{-\eta_rz_i}+qe^{-2\eta_r d_{r+1}e^{\eta_r z_i}}}=\frac{e^{-\eta_r(z-z_i)}+qe^{-\eta_r(2d_{r+1}-(z+z_i))}}{1+qe^{-2\eta_r(d_r-z_{i+1})}e^{-2\eta_r h_i}}
\end{equation}
\begin{equation}
	\begin{aligned}
		V(z_i)&=1\\
		V(z_{i+1})&=\frac{1+qe^{-2\eta_r(d_{r+1}-z_{i+1})}}{1+qe^{-2\eta_r(d_r-z_{i+1})}e^{-2\eta_r h_i}}e^{-\eta_rh_i}\\
		V'(z_i)&=-\eta_r\frac{1-qe^{-2\eta_r(d_{r+1}-z_{i+1})e^{-2\eta_rh_i}}}{1+qe^{-2\eta_r(d_r-z_{i+1})}e^{-2\eta_r h_i}}\\
		V'(z_{i+1})&=-\eta_r\frac{1-qe^{-2\eta_r(d_{r+1}-z_{i+1})}}{1+qe^{-2\eta_r(d_r-z_{i+1})}e^{-2\eta_r h_i}}e^{-\eta_rh_i}
	\end{aligned}
\end{equation}
\end{document}
